Update a secret
curl --request PUT \
--url https://api.gcore.com/fastedge/v1/secrets/{secret_id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"comment": "<string>",
"secret_slots": [
{
"slot": 1704067200,
"value": "P@ssw0rd123!"
}
]
}
'import requests
url = "https://api.gcore.com/fastedge/v1/secrets/{secret_id}"
payload = {
"name": "<string>",
"comment": "<string>",
"secret_slots": [
{
"slot": 1704067200,
"value": "P@ssw0rd123!"
}
]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
comment: '<string>',
secret_slots: [{slot: 1704067200, value: 'P@ssw0rd123!'}]
})
};
fetch('https://api.gcore.com/fastedge/v1/secrets/{secret_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"comment": "<string>",
"app_count": 123,
"secret_slots": [
{
"slot": 1704067200,
"checksum": "5e884898da28047151d0e56f8dc6292773603d0d6aabbdd62a11ef721d1542d8"
}
]
}{
"error": "<string>"
}{
"error": "<string>",
"conflicting_ids": [
123
]
}{
"error": "<string>"
}Secrets
Update a secret
Updates secret metadata and/or adds new time-based slots with encrypted values
PUT
/
fastedge
/
v1
/
secrets
/
{secret_id}
Update a secret
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
Unique identifier of the secret to update
Body
application/json
Secret details
The unique name of the secret.
Required string length:
1 - 128Pattern:
^[a-zA-Z0-9][a-zA-Z0-9_-]*[a-zA-Z0-9]$A description or comment about the secret.
Maximum string length:
1024A list of secret slots associated with this secret.
Show child attributes
Show child attributes
Response
Returns complete secret configuration and metadata
The unique name of the secret.
Required string length:
1 - 128Pattern:
^[a-zA-Z0-9][a-zA-Z0-9_-]*[a-zA-Z0-9]$A description or comment about the secret.
Maximum string length:
1024The number of applications that use this secret.
A list of secret slots associated with this secret.
Show child attributes
Show child attributes
Was this page helpful?
⌘I